#
# spec file for package perl-IO-Zlib (Version 1.04)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-Compress-Zlib permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           perl-IO-Zlib
BuildRequires:  perl-Compress-Zlib
Version:        1.04
Release:        14.6
Requires:       perl = %{perl_version}
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Summary:        IO:: style interface to the Compress::Zlib
Source:         IO-Zlib-%{version}.tar.gz
Patch:          %{name}-%{version}-eof.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module provides an IO:: style interface to the Compress::Zlib
package.



Authors:
--------
    Tom Hughes <tom@compton.nu>

%debug_package
%prep
%setup -n IO-Zlib-%{version}
%patch
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
make test
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{perl_vendorlib}/IO
%{perl_vendorlib}/IO/Zlib.pm
%dir %{perl_vendorarch}/auto/IO
%{perl_vendorarch}/auto/IO/Zlib
/var/adm/perl-modules/perl-IO-Zlib
%doc %{_mandir}/man3/*.gz
%doc MANIFEST README ChangeLog

%changelog
* Thu Jan 10 2008 - anicka@suse.cz
- fixed eof handling [#352966]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Fri Apr 15 2005 - schubi@suse.de
- update to 1.04
* Thu Feb 26 2004 - choeger@suse.de
- new package v1.01
